Last Comment Bug 807213 - Stop creating nsSVGMarkerProperty objects for non-nsSVGPathGeometryFrame frames
: Stop creating nsSVGMarkerProperty objects for non-nsSVGPathGeometryFrame frames
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla19
Assigned To: Jonathan Watt [:jwatt] (back in October - email directly if necessary)
:
:
Mentors:
Depends on:
Blocks: 795734 795740
  Show dependency treegraph
 
Reported: 2012-10-30 20:53 PDT by Jonathan Watt [:jwatt] (back in October - email directly if necessary)
Modified: 2012-11-19 15:17 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed
fixed


Attachments
patch (1.99 KB, patch)
2012-10-30 20:54 PDT, Jonathan Watt [:jwatt] (back in October - email directly if necessary)
roc: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-10-30 20:53:58 PDT
The only frame type that uses SVG markers is nsSVGPathGeometryFrame. We should stop wastefully creating nsSVGMarkerProperty objects for other frame types.
Comment 1 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-10-30 20:54:48 PDT
Created attachment 676899 [details] [diff] [review]
patch
Comment 2 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-10-30 21:12:22 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/734c42e76813
Comment 3 Abhishek Arya 2012-10-30 21:28:57 PDT
Looking forward to tmrw when it lands to mozilla-central :) and i can reenable fuzzing markers :)
Comment 4 Ed Morley [:emorley] 2012-10-31 07:15:57 PDT
https://hg.mozilla.org/mozilla-central/rev/734c42e76813
Comment 5 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-10-31 09:54:19 PDT
Comment on attachment 676899 [details] [diff] [review]
patch

We should take this on branches.
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2012-10-31 10:02:58 PDT
Comment on attachment 676899 [details] [diff] [review]
patch

As per email, go ahead with uplift on this, we know the risk to be low.  I'm clearing the ESR17 flag since we'll get this on the first ESR17 by virtue of it getting on mozilla-beta now (17).
Comment 7 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-10-31 11:38:14 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/062ae9c63641
https://hg.mozilla.org/releases/mozilla-beta/rev/f6d38889deab
Comment 8 Daniel Veditz [:dveditz] 2012-11-14 15:25:27 PST
Jonathan: is this fixing a long-standing issue or is this fixing a regression in Firefox 17?
Comment 9 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2012-11-15 09:17:11 PST
The patch fixes a long-standing issue in the code, although it's unclear what the consequences of that issue are in the various versions of Firefox.

Note You need to log in before you can comment on or make changes to this bug.